> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/qos-policy-group/describeqospolicygroups.md).

# DescribeQosPolicyGroups

## 1. API Description

This API (DescribeQosPolicyGroups) is used to query detailed information about one or more QoS policy groups.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name    | Required | Type                                                            | Description                                                                                                                                        |
| ----------------- | -------- | --------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| qosPolicyGroupIds | No       | Array of String                                                 | <p>List of QoS policy group IDs.</p><p>Supports up to 100 IDs per query.</p>                                                                       |
| regionId          | No       | String                                                          | Region ID where the QoS policy group is located.                                                                                                   |
| resourceGroupId   | No       | String                                                          | Filter by resource group ID.                                                                                                                       |
| resourceId        | No       | String                                                          | <p>Member resource ID (console-side UUID of EIP, IPv6, or UNMANAGED egress IP).</p><p>Returns policy groups containing the specified resource.</p> |
| pageSize          | No       | Integer                                                         | <p>Page size for returned results.</p><p>Default is 20, maximum is 1000.</p>                                                                       |
| pageNum           | No       | Integer                                                         | <p>Page number for returned results.</p><p>Default is 1.</p><p>Default value: 1</p>                                                                |
| tagKeys           | No       | Array of String                                                 | <p>Search by tag keys.</p><p>Maximum 20 tag keys.</p>                                                                                              |
| tags              | No       | Array of [Tag](/api-reference/compute/zec/datastructure.md#tag) | <p>Search by tags.</p><p>Maximum 20 tags.</p>                                                                                                      |

## 3. Output Parameters

| Parameter Name | Type                                                                                  | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                               | Total number of matching records.                                                                                     |
| dataSet        | Array of [QosPolicyGroup](/api-reference/compute/zec/datastructure.md#qospolicygroup) | QoS policy group result set.                                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. List QoS policy groups.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeQosPolicyGroups
<Common Request Params>

Request：
{
  "regionId": "SEA-A",
  "pageSize": 20,
  "pageNum": 1
}
```

**2. Filter by resource group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeQosPolicyGroups
<Common Request Params>

Request：
{
  "resourceGroupId": "xxxxxxxx"
}
```

**3. Query policy groups containing a specific member resource.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeQosPolicyGroups
<Common Request Params>

Request：
{
  "resourceId": "eip-xxxxxxxx"
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 1,
    "dataSet": [
      {
        "bandwidthLimit": 10000,
        "memberCount": 1,
        "members": [
          {
            "resourceId": "eip-xxxxxxxx",
            "ipType": "EIP"
          }
        ],
        "qosPolicyGroupId": "qos-xxxxxxxx",
        "name": "my-qos-group",
        "regionId": "SEA-A",
        "rateLimitMode": "LOOSE",
        "createTime": "2026-04-24T00:00:00Z",
        "resourceGroup": {
          "resourceGroupId": "<resourceGroupId>",
          "resourceGroupName": "Default Resource Group"
        },
        "tags": {
          "tags": [
            {
              "key": "env",
              "value": "prod"
            }
          ]
        }
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
